Debian GNU/Linux

gnome-screensaver-command --poke no longer inhibits screensaver

Reported by Vish on 2009-09-13
928
This bug affects 197 people
Affects Status Importance Assigned to Milestone
GNOME Screensaver
Won't Fix
High
Me TV
Medium
Unassigned
VLC media player
Unknown
Unknown
X.Org X server
Fix Released
Medium
gnome-screensaver (Debian)
Confirmed
Unknown
gnome-screensaver (Ubuntu)
Medium
Chris Coulson
Karmic
Medium
Unassigned
mplayer (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
mythtv (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
vlc (Ubuntu)
High
Unassigned
Karmic
High
Unassigned
xorg-server (Ubuntu)
High
Canonical Desktop Team
Karmic
Medium
Unassigned

Bug Description

Binary package hint: vlc

In karmic , while playing videos , VLC does not inhibit screensaver.

This is a regression from the behavior in jaunty.

ProblemType: Bug
Architecture: i386
CheckboxSubmission: 417990aadff2335cd485c57bb06c8968
CheckboxSystem: 5484a8dd99f006173bd2ac53fa4837c2
Date: Sun Sep 13 19:58:49 2009
DistroRelease: Ubuntu 9.10
Package: vlc 1.0.1-2ubuntu1
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
SourcePackage: vlc
Uname: Linux 2.6.31-10-generic i686

**************************
**** SRU Justification ****
**************************

** Impact of bug **
The legacy inhibit API was removed from gnome-screensaver, as the gnome-session inhibit API is the preferred way to inhibit the screensaver. The legacy API required applications to "poll" the screensaver regularly to simulate user activity. The new API requires applications to register inhibitors, which will exist until they are removed, or the application exits.

xdg-screensaver is used by a lot of desktop-neutral applications including games and VLC, and this wraps the legacy gnome-screensaver API in GNOME. This means that screensaver inhibiting is currently broken in GNOME for any application which hasn't been ported to the new inhibit API.

** Description of changes **
The existing legacy API still exists in gnome-screensaver, but is currently just a stub. I've added code to this which resets the IDLETIME counter, by simulating fake keypresses using XTEST. The code is already used in gnome-session and totem, and this method of resetting IDLETIME is also used in other applications.

Resetting IDLETIME will prevent gnome-session from setting the session idle (which prevents the screensaver from activating), and will also prevent gnome-power-manager from dimming the display.

** Regression potential **
Minimal. The additional functionality is quite self-contained, and the existing interface doesn't work at all anyway. The chosen method of resetting IDLETIME is already used.

** TEST CASE **
 Using the following versions of gnome-screensaver in turn, perform the steps detailed below.

PLEASE MAKE SURE that you run "killall gnome-screensaver && gnome-screensaver" after installing the new version, to ensure that you are testing the new version.

- 2.28.0-0ubuntu3.1 (karmic-security)
- 2.28.0-0ubuntu3.2 (karmic-proposed)

1) Open gnome-screensaver-preferences, set the timeout to 1 minute and check "Activate screensaver when computer is idle"
2) Create a script in your home folder called "gss-test.sh", and containing the following:

   #!/bin/sh

   while true; do
       gnome-screensaver-command --poke
       sleep 30
   done

3) Run the script (sh ~/gss-test.sh), and wait

With version 2.28.0-0ubuntu3.1 of gnome-screesaver, the screensaver will activate after 1 minute.
With version 2.28.0-0ubuntu3.2, the screensaver will not activate as long as the script is still running. If you run "gnome-power-manager --verbose" in a separate terminal, you will notice the following sequence of messages each time the IDLETIME counter is reset by gnome-screensaver, which you won't see with the old version:

TI:21:57:13 TH:0x177e890 FI:gpm-idle.c FN:gpm_idle_idletime_reset_cb,394
 - idletime reset
TI:21:57:13 TH:0x177e890 FI:gpm-idle.c FN:gpm_idle_evaluate,213
 - session_idle=0, session_inhibited=0, x_idle=0
TI:21:57:13 TH:0x177e890 FI:gpm-idle.c FN:gpm_idle_set_mode,133
 - Doing a state transition: normal
TI:21:57:13 TH:0x177e890 FI:gpm-backlight.c FN:gpm_backlight_notify_system_idle_changed,443
 - we have just been idle for 20.017084s
TI:21:57:13 TH:0x177e890 FI:gpm-backlight.c FN:gpm_backlight_notify_system_idle_changed,468
 - changing powersave idle status to 0
TI:21:57:13 TH:0x177e890 FI:gpm-backlight.c FN:gpm_backlight_brightness_evaluate_and_set,201
 - no dimming hardware
TI:21:57:13 TH:0x177e890 FI:gpm-idle.c FN:gpm_idle_evaluate,238
 - X not idle

4) Exit the script by pressing CTRL+C in the terminal

Vish (vish) wrote :
tags: added: regression-potential
Vish (vish) on 2009-09-13
description: updated
Loïc Martin (loic-martin3) wrote :

Confirmed, same behavior on up-to-date Karmic i386.

Changed in vlc (Ubuntu):
status: New → Confirmed
smurf (luca-dgh) wrote :

confirmed as well on karmic amd64 up to 18th of september.

confirmed on karmic beta

tags: added: inhibit-screensaver vlc
Claus Toft (claus-toft) wrote :

also confirmed on karmic beta amd64

Changed in vlc (Ubuntu):
importance: Undecided → High
Reinhard Tartler (siretart) wrote :

just to confirm:

please go to tools->Messages->Modules tree

Is the module "screensaver" listed there?

please also move your ~/.config/vlc/ out of the wav. This will remove all your previous settings, so please make sure you have a backup of that directory. Does this change behavior and/or the output of the modules tree?

If this does help, please attach a tarball of the broken settings.

Changed in vlc (Ubuntu):
status: Confirmed → Incomplete
Rogerio (rogeriodiver-ubuntu) wrote :

Reinhard,

I followed these steps:

1) Renamed the folder ~/.config/vlc to ~/.config/vlc_old

2) Executed "vlc", that recreated the folder ~/.config/vlc, with the default settings.

3) Went to "Tools" -> "Messages" -> "Modules" tab: the module screensaver is there (interface "screensaver" (20857912)).

4) Sadly, nothing changed. The bug is still here: VLC didn't stop the gnome-screensaver.

Rogerio

-------------------------------------------------------------------

Extra information:

a) lsb_release -rd
Description: Ubuntu karmic (development branch)
Release: 9.10

b) apt-cache policy vlc
vlc:
  Instalado: 1.0.2-1ubuntu1
  Candidato: 1.0.2-1ubuntu1
  Tabela de versão:
 *** 1.0.2-1ubuntu1 0
        500 http://archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status

c) I attached the tarball of ~/.config/vlc with this message.

Changed in vlc (Ubuntu):
status: Incomplete → Confirmed
Vish (vish) wrote :

Moving the vlc folder doesnt help for me either. .. but the screensaver module is listed.

Carlos Galdino (carlosgaldino) wrote :

I found a parcial solution. Like Reinhard Tartler said, i moved the folder and then opened VLC. Then i checked the option "Always on top" in Tools->Preferences->Video. This worked fine, the screensaver didn't appeared.

carlosgaldino solution does not work at all. my window is always on top anyway

Carlos Galdino (carlosgaldino) wrote :

@praveenmarkandu

I know it. I talked with mac_v on IRC and he said that doesn't work for him too. Was a try. All we have to do is wait, i'm sure that soon the developers will fix it.

Carlos Galdino (carlosgaldino) wrote :

Forget it. The "Always on top" option failed. After a reboot, the problem came back. So, there's no partial solution anymore. Sorry.

Xtophe (xtophe-chewa) wrote :

What would be usefull is the log produced by "bustle" when running vlc and playing a video.

Filtering the log on "/org/gnome/ScreenSaver" would be even better.

Changed in gnome-screensaver (Debian):
status: Unknown → New
Reinhard Tartler (siretart) wrote :

Debian Bug #541968 seems to be more relevant. Unsure if the two aren't actually dupes, but this one is found in both 2.26 and 2.28

Changed in gnome-screensaver (Debian):
status: New → Unknown
Reinhard Tartler (siretart) wrote :

Xtophe (from vlc upstream) suggested that debian bug #541968 and gnome bug #579430 may be relevant. I've checked the proposed patch to gnome-screensaver, and it indeed seems that vlc is using a function in gnome-screensaver that has been replaced by a stub (well, rather a FIXME).

If gnome-screensaver is detected, VLC sends the "Poke" and "SImulateUserActivity" signals in modules/misc/screensaver.c, function poke_screensaver. "Poke" does not seem implemented at all, and "SimulateUserActivity" leads to this function:

static void
gs_monitor_simulate_user_activity (GSMonitor *monitor)
{
        /* FIXME: reset the xsync timer? */

        /* request that the manager unlock -
           will pop up a dialog if necessary */
        gs_manager_request_unlock (monitor->priv->manager);
}

I agree with xtophe that the proposed patch from the gnome bug could help here. Would someone please try that patch out?

Changed in gnome-screensaver (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-screensaver (Debian):
status: Unknown → Confirmed
Xtophe (xtophe-chewa) wrote :

Packages with the patch applied are available at http://people.videolan.org/~xtophde/debian/

Reinhard Tartler (siretart) wrote :

xtophe's packages are built in debian/sid. packages for ubuntu karmic can be found shortly in the motumedia ppa:

https://edge.launchpad.net/~motumedia/+archive/ppa

Nick A (nickalleyne) wrote :

Thanks for that link Reinhard. I want to help out, if you dont mind letting me know which of the packages in those ppa are the ones I would install, I will do so. gnome-screensaver or vlc? or both? (want to make sure I am doing it correctly so we can get proper results.)

Rogerio (rogeriodiver-ubuntu) wrote :

Reinhard,

Bad news. I downloaded the gnome-screensaver from your PPA, installed it with a 'dpkg -i', but nothing changed: VLC stills doesn't stop the gnome-screensaver...

Rogerio <email address hidden> writes:

> Bad news. I downloaded the gnome-screensaver from your PPA, installed it
> with a 'dpkg -i', but nothing changed: VLC stills doesn't stop the
> gnome-screensaver...

are you sure that you restarted the running gnome-screensaver? You will
need to either logout and re-login or restart your computer.

The patch is reported to work in debian, though.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

1 comments hidden view all 137 comments

Reinhard,

I did the test again, following these steps:

1) I was using this version of gnome-screensaver:

$ apt-cache policy gnome-screensaver
  Instalado: 2.28.0-0ubuntu2
  Candidato: 2.28.0-0ubuntu2
  Tabela de versão:
 *** 2.28.0-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

2) Then I downloaded the version of the PPA:

$ ls gnome*
gnome-screensaver_2.28.0-0ubuntu1+motumedia1_amd64.deb

3) I installed it with the command:

$ sudo dpkg -i gnome-screensaver_2.28.0-0ubuntu1+motumedia1_amd64.deb

4) Confirmed the installation:

$ apt-cache policy gnome-screensaver
gnome-screensaver:
  Instalado: 2.28.0-0ubuntu1+motumedia1
  Candidato: 2.28.0-0ubuntu2
  Tabela de versão:
     2.28.0-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
 *** 2.28.0-0ubuntu1+motumedia1 0
        100 /var/lib/dpkg/status

5) Rebooted. (I didn't do that in the previous test)

6) And then it WORKED! For the first time I could watch a movie using VLC in Karmic.

Thanks a lot!

Carlos Galdino (carlosgaldino) wrote :

This package will be officially released for karmic? Or i have to install directly using the motumedia PPA?

Reinhard Tartler (siretart) wrote :

patch confirmed to work, working on a package.

okay to upload for RC?

Changed in gnome-screensaver (Ubuntu):
assignee: nobody → Reinhard Tartler (siretart)
milestone: none → ubuntu-9.10
Reinhard Tartler (siretart) wrote :

proposed patch

Reinhard Tartler (siretart) wrote :

nothing to fix in vlc, I've just uploaded the gnome-screensaver patch to karmic

Changed in vlc (Ubuntu Karmic):
status: Confirmed → Invalid
Changed in vlc:
status: New → Incomplete
Reinhard Tartler (siretart) wrote :

status update:

21:08:14 < chrisccoulson> siretart - that gnome-screensaver patch
   makes the assumption that the MIT-SCREEN-SAVER extension is
   always available, which might not always be the case

21:09:53 < siretart> chrisccoulson: oh, can you perhaps improve
   the patch to check for that extension?

21:15:07 < chrisccoulson> siretart - i'll have a look if i get
   the chance, but the patch doesn't really look right anyway.
   gnome-screensaver currently gets session idle-ness from
   gnome-session, which uses the SYNC extension and IDLETIME
   counter. applications which want to inhibit the screensaver
   should really be the gnome-session inhibit API now, although
   it would be nice to get gnome-screensaver to work correctly
   too

21:16:54 < siretart> slangasek: based on chrisccoulson comments,
   please reject my gnome-screensaver upload :(

21:18:32 < slangasek> siretart: ok, rejected

IOW: the patch needs more work :-(

Carlos Galdino (carlosgaldino) wrote :

It worked for me too. I followed the steps and i have no problems.

Rogerio (rogeriodiver-ubuntu) wrote :

Today, after a system update, gnome-screensaver and VLC received new versions:

$ apt-cache policy gnome-screensaver
gnome-screensaver:
  Instalado: 2.28.0-0ubuntu3
  Candidato: 2.28.0-0ubuntu3
  Tabela de versão:
 *** 2.28.0-0ubuntu3 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

$ apt-cache policy vlc
vlc:
  Instalado: 1.0.2-1ubuntu2
  Candidato: 1.0.2-1ubuntu2
  Tabela de versão:
 *** 1.0.2-1ubuntu2 0
        500 http://archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status

Then I perfomed a new test: this time VLC worked fine and stopped the screensaver, without the gnome-screensaver package from the PPA!

It appears the problem is fixed.

Rogerio <email address hidden> writes:

> Today, after a system update, gnome-screensaver and VLC received new
> versions:
>
> $ apt-cache policy gnome-screensaver
> gnome-screensaver:
> *** 2.28.0-0ubuntu3 0

Changes:
  [ Chris Coulson ]
  * debian/patches/08_gs_dialog_request_to_exit.patch:
    - Updated to not register a handler for SIGTERM in the dialog. This
      prevents the dialog from hanging on timeouts or authentication
      failures (LP: #454959)

> $ apt-cache policy vlc
> vlc:
> *** 1.0.2-1ubuntu2 0

Changes:
  * PulseAudio: higher priority than ALSA, LP: #402018

> Then I perfomed a new test: this time VLC worked fine and stopped the
> screensaver, without the gnome-screensaver package from the PPA!
>
> It appears the problem is fixed.

I cannot see how either change could be related to this.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

I have both those updates[up-to-date karmic] and the problem isnt solved here.

summary: - Vlc does not inhibit screensaver
+ gnome-screensaver --poke functionality does no longer inhibit screen
+ blanking

I have further studied the gnome-screensaver code, and have come to the conclusion that the SimulateUserActivity functionality (this is what vlc and 'gnome-screensaver-command --poke' actually call inside g-s-s) is left simply broken.

As shown in comment #15, SimulateUserActivity asks the unlock screen to appear, but will (no longer) prevent the screen to be locked. This makes this functionality absolutely unusable for any media player application.

Xtophe points out that g-s-s is supposed to proxy requests to gnome-session. This is right, but only when using the Inhibit API.

Patching vlc to use Inhibit instead of SimulateUserActivity would be an option. However, the API is different. While SimulateUserActivity does not require any parameters, Inhibit requires three: the application name, the reason for inhibiting and a random (but unique) cookie. Currently, vlc/modules/misc/screensaver.c does support dbus calls without parameters only. And since here the low level dbus API is used, adding this is hard for me. DBUS gurus welcome. Perhaps it would be easier if that file was ported to glib so that the glib dbus bindings could be used. YMMV.

For similar reasons gnome-screensaver is uneasy to fix. It would have to somehow identify what application has poked the screensaver, invent some reason for inhibiting the saver and decide on a duration how long the supression should last.

IMO improving g-s-s to proxy the SimulateUserActivity call to the inhibit API would make it most compatible with existing applications. At least this change should be properly communicated to upstreams who now wonder why poking the screensaver suddenly fails.

Rogerio (rogeriodiver-ubuntu) wrote :

I repeated the test with the official packages from Ubuntu and, after a reboot, it doesn't work anymore.

The only solution to the problem is the gnome-screensaver package from the PPA.

My system is up-to-date and the problem persists. Today the screensaver came
up while watching a movie.

--
Carlos Galdino

2009/10/20 mac_v <email address hidden>

> I have both those updates[up-to-date karmic] and the problem isnt solved
> here.
>
> --
> Vlc does not inhibit screensaver
> https://bugs.launchpad.net/bugs/428884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Screensaver: Unknown
> Status in VLC media player: Incomplete
> Status in “gnome-screensaver” package in Ubuntu: Triaged
> Status in “vlc” package in Ubuntu: Invalid
> Status in gnome-screensaver in Ubuntu Karmic: Triaged
> Status in vlc in Ubuntu Karmic: Invalid
> Status in “gnome-screensaver” package in Debian: Confirmed
>
> Bug description:
> Binary package hint: vlc
>
> In karmic , while playing videos , VLC does not inhibit screensaver.
>
> This is a regression from the behavior in jaunty.
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 417990aadff2335cd485c57bb06c8968
> CheckboxSystem: 5484a8dd99f006173bd2ac53fa4837c2
> Date: Sun Sep 13 19:58:49 2009
> DistroRelease: Ubuntu 9.10
> Package: vlc 1.0.1-2ubuntu1
> ProcEnviron:
> LANGUAGE=en_US.UTF-8
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
> SourcePackage: vlc
> Uname: Linux 2.6.31-10-generic i686
>

While this is annoying, it it does not break karmic enough to be a release blocker. There is no fix available either. But this is SRUable, so moving milestone.

Changed in gnome-screensaver (Ubuntu Karmic):
milestone: ubuntu-9.10 → karmic-updates
Pere Toran (petovi) wrote :

So... it won't be any fix to this? I mean, a well-made fix like Reinhard Tartler said.

I have one question, before it was about this bug that vlc doesn't inhibit
the screensaver, but now i'm having a bug that the screensaver doesn't
appear after i watch a movie using vlc. Does anybody know anything about
that?

Thanks.

--
Carlos Galdino

2009/10/21 Carlos Galdino <email address hidden>

> My system is up-to-date and the problem persists. Today the screensaver
> came up while watching a movie.
>
> --
> Carlos Galdino
>
>
> 2009/10/20 mac_v <email address hidden>
>
> I have both those updates[up-to-date karmic] and the problem isnt solved
>> here.
>>
>> --
>> Vlc does not inhibit screensaver
>> https://bugs.launchpad.net/bugs/428884
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in GNOME Screensaver: Unknown
>> Status in VLC media player: Incomplete
>> Status in “gnome-screensaver” package in Ubuntu: Triaged
>> Status in “vlc” package in Ubuntu: Invalid
>> Status in gnome-screensaver in Ubuntu Karmic: Triaged
>> Status in vlc in Ubuntu Karmic: Invalid
>> Status in “gnome-screensaver” package in Debian: Confirmed
>>
>> Bug description:
>> Binary package hint: vlc
>>
>> In karmic , while playing videos , VLC does not inhibit screensaver.
>>
>> This is a regression from the behavior in jaunty.
>>
>> ProblemType: Bug
>> Architecture: i386
>> CheckboxSubmission: 417990aadff2335cd485c57bb06c8968
>> CheckboxSystem: 5484a8dd99f006173bd2ac53fa4837c2
>> Date: Sun Sep 13 19:58:49 2009
>> DistroRelease: Ubuntu 9.10
>> Package: vlc 1.0.1-2ubuntu1
>> ProcEnviron:
>> LANGUAGE=en_US.UTF-8
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
>> SourcePackage: vlc
>> Uname: Linux 2.6.31-10-generic i686
>>
>
>

Carlos, now that you say that, I realize mine has been the same way. Did not think about it until now, but it is true.

Matthias Rosenkranz (rose) wrote :

I observe the same problem in Me TV.

tags: added: regression-release
removed: regression-potential
Changed in me-tv:
status: New → Incomplete
Johndoe (joojooclub) on 2009-11-11
Changed in gnome-screensaver (Ubuntu):
status: Triaged → Fix Released
Changed in gnome-screensaver (Ubuntu):
status: Fix Released → Triaged
Vipin (vipinmatthews) on 2009-11-12
Changed in vlc (Ubuntu):
status: Invalid → Confirmed
confiq (confiq) on 2009-11-13
Changed in vlc (Ubuntu):
status: Confirmed → Invalid
summary: - gnome-screensaver --poke functionality does no longer inhibit screen
- blanking
+ gnome-screensaver-command --poke no longer inhibits screensaver
Changed in me-tv:
status: Incomplete → Invalid
Changed in gnome-screensaver (Ubuntu Karmic):
assignee: Reinhard Tartler (siretart) → nobody
Changed in gnome-screensaver (Ubuntu):
assignee: Reinhard Tartler (siretart) → nobody
Changed in vlc:
status: Incomplete → Won't Fix
Changed in vlc (Ubuntu):
status: Invalid → Confirmed
Changed in gnome-screensaver (Ubuntu):
status: Triaged → Invalid
Changed in gnome-screensaver (Ubuntu Karmic):
status: Triaged → Invalid
Changed in vlc (Ubuntu Karmic):
status: Invalid → Confirmed
Changed in vlc (Ubuntu):
status: Confirmed → Invalid
Changed in gnome-screensaver (Ubuntu):
status: Invalid → Triaged
Changed in gnome-screensaver (Ubuntu Karmic):
status: Invalid → Triaged
Changed in vlc (Ubuntu Karmic):
status: Confirmed → Invalid
Changed in gnome-screensaver (Ubuntu Karmic):
assignee: nobody → Chris Coulson (chrisccoulson)
status: Triaged → In Progress
Changed in gnome-screensaver (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
status: Triaged → In Progress
milestone: karmic-updates → none
Changed in gnome-screensaver (Ubuntu):
status: In Progress → Fix Released
description: updated
description: updated
Changed in gnome-screensaver (Ubuntu Karmic):
status: In Progress → Triaged
Martin Pitt (pitti) on 2009-12-23
Changed in gnome-screensaver (Ubuntu Karmic):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2009-12-23
tags: added: verification-done
removed: verification-needed
Changed in mplayer (Ubuntu):
status: New → Invalid
Changed in mplayer (Ubuntu Karmic):
status: New → Invalid
57 comments hidden view all 137 comments

Created an attachment (id=32399)
test app 1

Created an attachment (id=32400)
test app 2

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 2.28.0-0ubuntu3.2

---------------
gnome-screensaver (2.28.0-0ubuntu3.2) karmic-proposed; urgency=low

  * debian/patches/10_legacy_scrsvr_inhibit.patch:
    - Reintroduce the legacy inhibit API, which is wrapped by
      xdg-screensaver and still required by some applications. This API
      was removed in the current version of gnome-screensaver, breaking
      screensaver inhibit in VLC and most games (LP: #428884)
  * debian/control:
    - Add build-depend on libxtst-dev, to make the inhibit work.
 -- Chris Coulson <email address hidden> Tue, 22 Dec 2009 21:15:52 +0000

Changed in gnome-screensaver (Ubuntu Karmic):
status: Fix Committed → Fix Released
yarly (ih8junkmai1) wrote :

This bug is NOT fixed.

Gnome-screensaver continues to become active during video playback in Mplayer.
Stop XScreenSaver is checked in Mplayer preferences.

Bug encountered on:
-------------------------------------------------------------------------------------
Ubuntu 9.10 Karmic Koala amd64

Ubuntu repository packages
mplayer_1.0~rc3+svn20090426-1ubuntu10.1_amd64.deb
gnome-screensaver_2.28.0-0ubuntu3.2_amd64.deb

yarly (ih8junkmai1) wrote :

Bug is not fixed by 2.28.0-0ubuntu3.2

Changed in mplayer (Ubuntu):
status: Invalid → Confirmed
status: Confirmed → Invalid
BenR (benregier) wrote :

It's been working for me in VLC.

This may be a stupid comment, but if you are checking "Stop XScreenSaver" in Mplayer, why would you expect it to stop gnome-screensaver? Aren't those two different packages?

yarly (ih8junkmai1) wrote :

Yes they are two different packages. As far as I understand though, both XScreenSaver and Gnome-screensaver were both disabled the same way using "poke" to reset the timer. So it shouldn't really matter what mplayer lists as "XScreensaver", because the end result should reset the timer for whatever screensaver was active.

yarly (ih8junkmai1) wrote :

Chris seems to be of the impression that whatever issue remains, is an issue with mplayer

This mplayer bug appears similar
https://bugs.launchpad.net/ubuntu/+source/mplayer/+bug/439787

The screen-saver is not disabled also when a flash video clip is watched in Firefox.

On Fr, Jan 08, 2010 at 21:55:00 (CET), Xtigyro wrote:

> The screen-saver is not disabled also when a flash video clip is watched
> in Firefox.

thats a seperate issue that has nothing to do with the defect in
gnome-screensaver-command. Please file a new bug.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Chris Coulson (chrisccoulson) wrote :

Re-opening the karmic task. I've had to back out the patch which fixes this, as it causes a regression (bug 505789)

Changed in gnome-screensaver (Ubuntu Karmic):
status: Fix Released → Triaged

not only with 'mplayer' but also in 'VLC' the screen-saver is not disabled...

Chris Coulson (chrisccoulson) wrote :

On Wed, 2010-01-13 at 21:45 +0000, Xtigyro wrote:
> not only with 'mplayer' but also in 'VLC' the screen-saver is not
> disabled...
>
> --
My previous comment explains why this doesn't work for VLC.

Mplayer is a completely separate issue, unrelated to this bug (explained
a few comments ago)

Reinhard Tartler (siretart) wrote :

On Mi, Jan 13, 2010 at 23:04:05 (CET), Chris Coulson wrote:

> Mplayer is a completely separate issue, unrelated to this bug (explained
> a few comments ago)

IIUC, you intend to change the XResetScreensaver() implementation in in
the xserver to reset the IDLECOUNTER. If the XScreenSaverSuspend()
implementation would call XResetScreensaver() (which seems reasonable to
me), then mplayer would be unbroken instantly!

XScreenSaverSuspend() is a pretty widly used standard API from the XSS
extensions.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

this sounds silly, but is it possible for someone to attach a deb or source of gnome-screensaver 2.28.0-0ubuntu3.2 ?
though there is that "alt" regression as reported in the other bug report, it does not affect me in any visible way and 2.28.0-0ubuntu3.2 seemed to work just fine for me

BenR (benregier) wrote :

Open Synaptic, find gnome-screensaver, and select it. Then go to the Package menu and select "Force Version". You should be able to select the previous version of the package.

After you do this you may have to lock the version (also through the package menu) so that it doesn't bug you to upgrade it.

freddy3980 (freddy3980) wrote :

Here's gnome-screensaver_2.28.0-0ubuntu3.2 deb for karmic, I will attach the 32bits version later on...

Ernst (ernst-blaauw) wrote :

I'm using Lucid alpha 2. I'm watching a movie and the screensaver kicks in. So, the bug also exists in Lucid.

$ apt-cache policy gnome-screensaver
gnome-screensaver:
  Installed: 2.28.0-1ubuntu5
  Candidate: 2.28.0-1ubuntu5
  Version table:
 *** 2.28.0-1ubuntu5 0
        500 http://nl.archive.ubuntu.com lucid/main Packages
        100 /var/lib/dpkg/status

freddy3980 (freddy3980) wrote :

Here's gnome-screensaver_2.28.0-0ubuntu3.2 i386 deb for karmic.

thanks freddy3980. i tried applying the diff patch and then compiling it. couldnt get it to compile. i need to up my linux-fu

freddy3980 (freddy3980) wrote :

No problem, but actually I didn't compile it myself, I got it from a PPA the same day that gnome-screensaver_2.28.0-0ubuntu3.3 came out and broke the "fix". Now I tried to google it and it's no where to be found... If anyone has problems installing those packages, try using the console:

cd /path/to/the/deb
sudo dpkg -i name of deb file.deb

then restarts the computer.

Jeremy Nickurak (nickurak) wrote :

Mythtv needs to either use a new API for inhibiting the screensaver, or gnome-screensaver's older method for inhibition needs to work. Without one of those, mythtv's frontend is virtually unusable without whacking a mouse or keyboard every X minutes.

Mario Limonciello (superm1) wrote :

MythTV will not be patched. gnome-screensaver advertises --poke for suspending even in it's --help. It's what xdg-screensaver uses. The root of the problem is in gnome-screensaver itself.

Changed in mythtv (Ubuntu):
status: New → Won't Fix
Changed in mythtv (Ubuntu Karmic):
status: New → Won't Fix
Carnagex420x (carnagex420x) wrote :

This bug is still present and still VERY annoying! I'm also VERY disappointed to see its also effecting Lucid too.

Olivier V (forum-viennet) wrote :

I have the same problem with "VLC media player 0.9.9a Grishenko" on Kubuntu 9.04.
Neither the screensaver, nor the powermanagement are disbled by vlc.

1 comments hidden view all 137 comments
Danny Wood (danwood76) wrote :

Applying the patch attached to this bug does fix the issue and I do not see that issue with menus popping up in open office like the other bug.

Is it possible to make a dbus call from within gs-monitor.c that stimulates the inhibit correctly?
I'm no dbus programmer so I haven't had a go.

Carnagex420x (carnagex420x) wrote :

i am getting the proposed updates and am up to date and this bug isnt fixed for me.

Reinhard Tartler (siretart) wrote :

https://bugs.freedesktop.org/attachment.cgi?id=32398 *should* unbreak most "legacy" applications (== not ported yet to the new gnome powermanagement API) .

Changed in xorg-server:
status: Unknown → Confirmed

Fixed in master, thanks for the report!

commit 001ce71dc11287dc94cc2fbc5d35677c046e6c04
Author: Julien Cristau <email address hidden>
Date: Fri Feb 12 23:34:57 2010 +0100

    dix: restore lastDeviceEventTime update in dixSaveScreens

    This was removed in 6b5978dcf1f7ac3ecc2f22df06f7000f360e2066 (Do not
    reset lastDeviceEventTime when we do dixSaveScreens), but caused a
    regression for XResetScreenSaver. Add the lastDeviceEventTime update
    back, but restrict it to that case.

    X.Org bug#25855 <http://bugs.freedesktop.org/25855>

    Reported-by: Lubos Lunak <email address hidden>
    Tested-by: Lubos Lunak <email address hidden>
    Signed-off-by: Julien Cristau <email address hidden>
    Signed-off-by: Keith Packard <email address hidden>

Changed in xorg-server:
status: Confirmed → Fix Released
flammie (flammie80) wrote :

Does the xorg-server fix also fix gnome-screensaver-command --poke? Will we get this as an update to karmic?

I'm rewriting the screensaver code in Me TV to use the org.gnome.ScreenSaver interface like I've already done for GNOME Media Player.

Changed in me-tv:
assignee: nobody → Michael Lamothe (lamothe)
importance: Undecided → Medium
status: Invalid → In Progress
Changed in xorg (Ubuntu):
importance: Undecided → High
status: New → Triaged

Does this mean it wouldn't be able to suspend the screensaver in KDE
anymore?

On Fri, Feb 19, 2010 at 20:26, Michael Lamothe <email address hidden>wrote:

> I'm rewriting the screensaver code in Me TV to use the
> org.gnome.ScreenSaver interface like I've already done for GNOME Media
> Player.
>
> ** Changed in: me-tv
> Importance: Undecided => Medium
>
> ** Changed in: me-tv
> Status: Invalid => In Progress
>
> ** Changed in: me-tv
> Assignee: (unassigned) => Michael Lamothe (lamothe)
>
> --
> gnome-screensaver-command --poke no longer inhibits screensaver
> https://bugs.launchpad.net/bugs/428884
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

Vish (vish) wrote :

Weird , this bug seems fixed in lucid with either update:
vlc (1.0.4-2ubuntu2) to 1.0.5-1ubuntu1 or
gnome-screensaver (2.29.90-0ubuntu1) to 2.29.91-0ubuntu1

Oddly , both the updates were on the same day while neither changelogs mention fixing this bug ,
But when watching movies with vlc the screensaver is now inhibited...

Is it solved for other Lucid users too or is anyone else facing the bug in Lucid?

Vish (vish) wrote :

Hmm , I'm using the xorg-edgers ppa on Lucid , btw.
Might be the xorg fix Reinhard mentions in comment #123 [oh! we have had so many comments ]

Chris Coulson (chrisccoulson) wrote :

Yeah, the fix is probably in there as it was committed upstream a few days ago. As gnome-screensaver is already fixed, this will work again once the Xorg patch lands in Ubuntu

Changed in xorg (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Bryce Harrington (bryce) wrote :

The fix that went upstream (https://bugs.freedesktop.org/show_bug.cgi?id=25855) is included in the xserver we carry in Lucid.

affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released
Bryce Harrington (bryce) on 2010-02-24
Changed in xorg-server (Ubuntu Karmic):
importance: Undecided → Medium
status: New → Triaged
Changed in me-tv:
status: In Progress → Fix Committed
Spang (hetkot) wrote :

Been on Lucid since beta 1. Upgraded to the latest package versions just yesterday. For the first time since the migration to KDE4 apps I kept the Kaffeine upgrade (0.8.7 to 1.0). Since this is marked duplicate of bug 531306 I should note here that when using Kaffeine screen saver inhibition, or at least stand-by inhibition, is not working when watching tv from dvb.

btw, this problem occurred in the KDE3 version package as well, was then caused by a missing build dependency (I think) and was solved with a ppa package.

Changed in me-tv:
milestone: none → 1.2.2
Changed in me-tv:
status: Fix Committed → Fix Released
Druciferre (drewchapin) wrote :

I installed the motumedia packages and this seems to have fixed the issue.

Changed in gnome-screensaver:
status: Unknown → Confirmed
Changed in xorg-server:
importance: Unknown → Medium
Changed in gnome-screensaver:
importance: Unknown → High
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
Martin Pitt (pitti) on 2011-02-15
Changed in xorg-server (Ubuntu Karmic):
status: Triaged → Won't Fix
Changed in gnome-screensaver (Ubuntu Karmic):
assignee: Chris Coulson (chrisccoulson) → nobody
milestone: karmic-updates → none
status: Triaged → Won't Fix
Changed in gnome-screensaver:
status: Confirmed → Won't Fix
Changed in gnome-screensaver:
status: Won't Fix → Confirmed
Changed in vlc:
importance: Undecided → Unknown
status: Won't Fix → Unknown
Changed in vlc:
status: Unknown → New
Changed in vlc:
status: New → Unknown
Changed in gnome-screensaver:
status: Confirmed → Won't Fix
Changed in vlc:
status: Unknown → New
Changed in vlc:
status: New → Unknown
Displaying first 40 and last 40 comments. View all 137 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.